Name:           neovim-qt
Version:        0.2.18
Release:        %mkrel 3
Summary:        Neovim client library and GUI, in Qt6
Group:          Editors
License:        ISC
URL:            https://github.com/equalsraf/neovim-qt/wiki
Source0:        https://github.com/equalsraf/neovim-qt/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         neovim-qt-pic.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  pkgconfig(msgpack-c)
BuildRequires:  lua5.1-lpeg
BuildRequires:  neovim
Requires:       neovim

Provides:       nvim-qt = %{version}-%{release}

%description
Neovim client library and GUI, in Qt6.

%prep
%autosetup -p1

%build
%cmake -GNinja \
       -DWITH_QT=Qt6 \
       -DUSE_SYSTEM_MSGPACK=ON
%ninja_build -C %{_vpath_builddir}

%install
%ninja_install -C %{_vpath_builddir}

mkdir -p %{buildroot}%{_libdir}
install -Dm 0755 build/lib/libneovim-qt-gui.so %{buildroot}%{_libdir}/libneovim-qt-gui.so

%files
%license LICENSE
%doc README.md CONTRIBUTING.md
%{_bindir}/nvim-qt
%{_datadir}/applications/nvim-qt.desktop
%{_datadir}/nvim-qt/
%{_iconsdir}/hicolor/*/apps/nvim-qt.*
%{_libdir}/libneovim-qt-gui.so


%changelog
* Thu Nov 21 2024 daviddavid <daviddavid> 0.2.18-3.mga10
+ Revision: 2117957
- switch to Qt6

* Mon Oct 14 2024 kekepower <kekepower> 0.2.18-1.mga10
+ Revision: 2106748
- Update to version 0.2.18

* Thu Sep 21 2023 daviddavid <daviddavid> 0.2.17-2.mga10
+ Revision: 1988985
- rebuild for new msgpack 6.0.0

* Sun Sep 25 2022 kekepower <kekepower> 0.2.17-1.mga9
+ Revision: 1892264
- Update to version 0.2.17

* Mon Apr 04 2022 umeabot <umeabot> 0.2.16.1-3.mga9
+ Revision: 1843286
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.2.16.1-2.mga8
+ Revision: 1659122
- Rebuild for new Qt5

* Fri Jul 31 2020 kekepower <kekepower> 0.2.16.1-1.mga8
+ Revision: 1610027
- Update to version 0.2.16.1

* Wed Jun 17 2020 kekepower <kekepower> 0.2.16-1.mga8
+ Revision: 1594081
- Update to version 0.2.16

* Mon Feb 17 2020 umeabot <umeabot> 0.2.15-2.mga8
+ Revision: 1537518
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Nov 03 2019 kekepower <kekepower> 0.2.15-1.mga8
+ Revision: 1457386
- Update to version 0.2.15

* Mon Oct 14 2019 kekepower <kekepower> 0.2.14-1.mga8
+ Revision: 1453052
- Update to version 0.2.14

* Sat Aug 10 2019 kekepower <kekepower> 0.2.13-1.mga8
+ Revision: 1428486
- Update to version 0.2.13

* Sun Mar 31 2019 umeabot <umeabot> 0.2.12-3.mga7
+ Revision: 1383501
- Qt5 Rebuild

* Mon Jan 21 2019 kekepower <kekepower> 0.2.12-2.mga7
+ Revision: 1358816
- Install libneovim-qt-gui library

* Sun Jan 13 2019 kekepower <kekepower> 0.2.12-1.mga7
+ Revision: 1355892
- imported package neovim-qt

